unity-scope-video-remote crashed with GError in function(): Could not connect: Connection refused

Bug #950862 reported by digger on 2012-03-09
50
This bug affects 6 people
Affects Status Importance Assigned to Milestone
Unity Videos Lens
Undecided
Unassigned
unity-scope-video-remote (Ubuntu)
Low
David Callé
Precise
High
Unassigned

Bug Description

[Impact]
It's one of the most reported issues on errors.ubuntu.com

[Test Case]
No clear and easy test case sadly... Bug was 'just' happening. Only way of testing: just using and confirming that the given crash is not reported on errors.ubuntu.com in the new package version.

[Regression Potential]
Minimal; an untrapped exception is now being trapped and translated to exit(1), which is unlikely to break any expectations.

Original description:

Hmm, did I broke something? :) Thunderbird, firefox, update manager opened. Don't know what actually happend maybe the attached files will tell you more.

ProblemType: Crash
DistroRelease: Ubuntu 12.04
Package: unity-scope-video-remote 0.3.3-0ubuntu1
ProcVersionSignature: Ubuntu 3.2.0-17.27-generic 3.2.6
Uname: Linux 3.2.0-17-generic x86_64
NonfreeKernelModules: nvidia
ApportVersion: 1.94.1-0ubuntu1
Architecture: amd64
Date: Fri Mar 9 13:29:26 2012
ExecutablePath: /usr/lib/unity-scope-video-remote/unity-scope-video-remote
InterpreterPath: /usr/bin/python2.7
PackageArchitecture: all
ProcCmdline: /usr/bin/python /usr/lib/unity-scope-video-remote/unity-scope-video-remote
ProcEnviron:
 SHELL=/bin/bash
 LANG=pl_PL.UTF-8
PythonArgs: ['/usr/lib/unity-scope-video-remote/unity-scope-video-remote']
SourcePackage: unity-scope-video-remote
Title: unity-scope-video-remote crashed with GError in function(): Could not connect: Connection refused
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo

digger (digger90) wrote :
tags: removed: need-duplicate-check
David Callé (davidc3) on 2012-03-09
Changed in unity-scope-video-remote (Ubuntu):
status: New → Confirmed
importance: Undecided → Low
assignee: nobody → David Callé (davidc3)
visibility: private → public
David Callé (davidc3) on 2012-06-13
Changed in unity-scope-video-remote (Ubuntu):
status: Confirmed → In Progress
tags: added: quantal running-unity
David Callé (davidc3) on 2012-06-21
Changed in unity-scope-video-remote (Ubuntu):
status: In Progress → Fix Committed
Sebastien Bacher (seb128) wrote :

The bug is the most reported on errors.ubuntu.com at the moment we should SRU the fix

Changed in unity-scope-video-remote (Ubuntu Precise):
importance: Undecided → High
status: New → Triaged
Changed in unity-scope-video-remote (Ubuntu Precise):
milestone: none → ubuntu-12.04.1
description: updated
Changed in unity-lens-videos:
status: New → Incomplete
status: Incomplete → Fix Committed
description: updated
description: updated
description: updated
description: updated
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package unity-scope-video-remote - 0.3.6-0ubuntu1

---------------
unity-scope-video-remote (0.3.6-0ubuntu1) quantal; urgency=low

  [ Łukasz 'sil2100' Zemczak ]
  * New upstream release.
    - Exit on DBus hickup at startup, Unity will restart the scope (LP: #950862)
  * debian/control:
    - Depends on gvfs-bin (LP: #972304)

  [ Didier Roche ]
  * Adding Vcs-Bzr
  * point the new location to the canonical directory
    (lp:ubuntu/unity-lens-video) after the conversion in a merge-upstream
    source
 -- Didier Roche <email address hidden> Fri, 29 Jun 2012 10:37:01 +0200

Changed in unity-scope-video-remote (Ubuntu):
status: Fix Committed → Fix Released

Hello digger, or anyone else affected,

Accepted unity-scope-video-remote into precise-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/unity-scope-video-remote/0.3.5-0ubuntu2.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please change the bug tag from verification-needed to verification-done. If it does not, change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

description: updated
Changed in unity-scope-video-remote (Ubuntu Precise):
status: Triaged → Fix Committed
tags: added: verification-needed
Sebastien Bacher (seb128) wrote :

no regression detected, setting to verification-done

tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package unity-scope-video-remote - 0.3.5-0ubuntu2.1

---------------
unity-scope-video-remote (0.3.5-0ubuntu2.1) precise-proposed; urgency=low

  * Exit on DBus hickup at startup, Unity will restart the scope (LP: #950862)
  * Depends on gvfs-bin (LP: #972304)
 -- David Calle <email address hidden> Wed, 27 Jun 2012 20:33:46 +0200

Changed in unity-scope-video-remote (Ubuntu Precise):
status: Fix Committed → Fix Released
Changed in unity-lens-videos:
status: Fix Committed → Fix Released
dazyl hou (dazylhou) wrote :

what am I supposed to do at this point?

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers